Skip to main content
GET
/
v1
/
subscriptions
List Subscriptions
curl --request GET \
  --url https://api.leanrails.com/v1/subscriptions \
  --header 'Authorization: Basic <encoded-value>'
{
  "object": "list",
  "data": [
    {
      "id": "<string>",
      "object": "subscription",
      "status": "incomplete",
      "customer": "<string>",
      "livemode": true,
      "created": 123,
      "currency": "<string>",
      "default_payment_method": "<string>",
      "collection_method": "charge_automatically",
      "latest_invoice": "<string>",
      "current_period_start": 123,
      "current_period_end": 123
    }
  ],
  "has_more": true,
  "next_cursor": "<string>",
  "url": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.fluveo.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your secret API key as the username with an empty password.

Headers

X-API-Version
string

Override the API version for this request.

Query Parameters

limit
integer
default:10
Required range: 1 <= x <= 100
starting_after
string
ending_before
string
customer
string
status
string

Response

Success

object
enum<string>
Available options:
list
data
object[]
has_more
boolean
next_cursor
string | null
url
string